// Emotion Rows abstände verdoppeln

.emotion--wrapper {
	.emotion--container {
		.emotion--row {
			@media screen and (min-width: @tabletViewportWidth) {
				margin: 2rem 0;
			}
			&:last-child {
				@media screen and (min-width: @tabletViewportWidth) {
					margin: 2rem 0 0 0;
				}
			}
			&.row--1 {
				@media screen and (min-width: @tabletViewportWidth) {
					margin: 0 0 2rem 0;
				}
			}
		}
	}	
}


.emotion--element {
	
	.emotion--html {
		.html--content {
			h2 {
				
			}
		}
	}
	&.text-center {
		.emotion--html {
			.html--content {
				text-align: center;
			}
		}
	}
	&.special {
		padding: 0 !important;
		margin: 3rem 0;
		.emotion--html {
			.html--content {
				h2 {
					margin: 0;
					position: relative;
					text-transform: uppercase;
					color: @brand-primary;
					font-size: 1.1rem;
					@media screen and (min-width: @tabletViewportWidth) {
						font-size: 1.3125rem;
					}
					&:before, &:after {
						margin:0 30px 7px 0;
						width: 10%;
						@media screen and (min-width: @tabletViewportWidth) {
							width: 20%;
						}
						height: 1px;
						background-color: @brand-primary;
						content:"";
						display: inline-block;
						position: relative;
					}
					&:after {
						margin:0 0 7px 30px;
					}
				}	
			}
		}
		
	}
}
// Artikel 
.emotion--element {
	.emotion--product {
		.product--box {
			.box--content {
				.product--badges {
					display:none;
					@media screen and (min-width: @tabletViewportWidth) {
						display: block;
					}
					left: 0;
					.product--badge {
						
						&.badge--newcomer {
							padding: 15px 10px;
							border-radius: 50%;
						}
					}
				}
				.product--info {
					.product--details {
						text-align: center;
						h5 {
							margin: 0;
							color: @brand-primary;
						}
						.product--title {
							height: auto;
							color: @brand-primary;
						}
						.product--price-info {
							height: auto;
							.price--unit {
								height: auto;
							}
							.product--price {
								height: auto;
								.price--default {
									line-height: 1.25rem;
									color: @brand-primary;
								}
							}
						}
					}
				}
			}
		}
	}	
}

// Banner Element
.emotion--element {
	&.show--title {
		.emotion--banner {
			.banner--content {
				position: relative;
				img {
					
				}
				.banner--title {
					h2 {
						font-size: 1.0rem;
						text-align: center;
						color: @brand-primary;
						margin-top: 0;
					}
				}
			}
		}
	}
}
.product--box {
	.product--badges {
		left: 0 !important;
		.product--badge {
			
			&.badge--newcomer {
				padding: 15px 10px;
				border-radius: 50%;
			}
		}
	}
}

